%define subversion 0
%define majver %(echo %version | cut -d. -f1-2)
Name:          ufw
Version:       0.30.1
Release:       %mkrel 1
Summary:       ufw is Uncomplicated Firewall a cli front end to iptables
Group:         System/Libraries/Python
URL:           https://launchpad.net/ufw
Source:        http://launchpad.net/ufw/%{majver}/%{version}/+download/ufw-%{version}.tar.xz
Patch0:        %{name}-0.30.1-initscript-chkconfig.patch
Patch1:        %{name}-0.30.1-enabled_by_default.patch
Patch2:        %{name}-0.30.1-load_netbios_ipt_module.patch 
License:       GPL
Requires:      python >= %python_version
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: iptables
BuildRequires: libip6tc0
Requires:      iptables
Requires:      libip6tc0
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Ufw stands for Uncomplicated Firewall, and is program for managing a netfilter firewall. It provides a command line interface and aims to be uncomplicated and easy to use.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" 
install -D %{buildroot}/lib/ufw/ufw-init %{buildroot}/etc/init.d/ufw-init

%post
# new install
if [ $1 -ge 1 ]; then
   /sbin/chkconfig --add ufw-init
   service ufw-init restart
fi
exit 0

%preun
#erase
if [ $1 -eq 0 ]; then
   service ufw-init stop
   /sbin/chkconfig --del ufw-init
fi
exit 0

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/default/ufw
%dir %{_sysconfdir}/ufw
%{_sysconfdir}/ufw/*.rules
%config(noreplace) %{_sysconfdir}/ufw/*.conf
%{_sysconfdir}/init.d/ufw-init
%dir %{_sysconfdir}/ufw/applications.d
%{_sysconfdir}/ufw/applications.d/ufw-*
%{_sbindir}/ufw
%dir /lib/ufw
/lib/ufw/ufw-init
/lib/ufw/ufw-init-functions
/lib/ufw/user.rules
/lib/ufw/user6.rules
%dir %{_datadir}/ufw
%dir %{_datadir}/ufw/iptables
%{_datadir}/ufw/iptables/*.rules
%{python_sitearch}/ufw-%{version}-py*.egg-info
%{_libdir}/python2.7/site-packages/ufw/*.py
%{_datadir}/ufw/messages/*.mo
%{_mandir}/man8/ufw-framework.8.*
%{_mandir}/man8/ufw.8.*

%changelog
* Tue Nov 15 2016 adrianomorselli <adrianomorselli> 0.30.1-1uplos2016
- create
